/* LOGO STYLING */
/* logo/hamburger icon */

.logo_93 {
  position: absolute;
  right: 100px;
  top: 30px;

  z-index: 1;
}

.logo_93 img {
  height: 30px;
  margin-right: 5px;
}

/* .logo_93:hover {
  transition: 0.5s ease-in-out;
  fill: #bebaa8;
} */

/* ! Hamburger Toggle */
/* navbar toggle */
.toggle-container {
  display: flex;
  align-items: center;
  z-index: 100;
}

.toggle-button {
  position: relative;
  top: 0;
  right: 0;
  height: 30px;
  width: 28.29px;
  z-index: 100;
  transition: opacity 0.25s ease;
  cursor: pointer;
}

.toggle-button:hover span {
  background: #bebaa8;
}

.toggle-button.active:hover .top {
  background: #bebaa8;
}

.toggle-button.active:hover .middle {
  background: #bebaa8;
}

.toggle-button.active:hover .bottom {
  background: #bebaa8;
}

.toggle-button.active {
  z-index: 100;
}

.toggle-button.active .top {
  transform: translateY(12px) translateX(0) rotate(45deg);
  background: #fff;
  width: 38px;
}

.toggle-button.active .middle {
  opacity: 0;
  background: #1e1e1d;
}

.toggle-button.active .bottom {
  transform: translateY(-12px) translateX(0) rotate(-45deg);
  background: #fff;
  width: 38px;
}

.toggle-button span {
  background: #fff;
  border: none;
  height: 5.5px;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  transition: all 0.35s ease;
}

.toggle-button span:nth-of-type(2) {
  top: 12px;
}

.toggle-button span:nth-of-type(3) {
  top: 24px;
}

.orange_nine_none {
  display: none;
}

.orange_nine {
  opacity: 1;
  position: absolute;
}

/* ! DROPDOWN STYLING */
/* The Overlay (background) */
.overlay {
  height: 100%;
  width: 0;
  position: fixed;
  /* Stay in place */
  z-index: 1000;
  /* Sit on top */
  right: 0;
  top: 0;
  background-color: rgb(12, 12, 11);
  /* Black fallback color */
  background-color: rgba(12, 12, 11);
  /* Black w/opacity */
  overflow-x: hidden;
  /* Disable horizontal scroll */
  transition: 0.5s;
  /* 0.5 second transition effect to slide in or slide down the overlay (height or width, depending on reveal) */
  /* cursor: none; */
}

/* a:hover, a:visited, a:link, a:active
{
    /* cursor: none;
} */

/* Position the content inside the overlay */
.overlay-content {
  width: 100%;
  font-family: Helvetica, sans-serif;
  text-transform: uppercase;
  font-weight: 600;
  text-align: right;
  position: absolute;
  right: 250px;
}

/* .overlay-content:hover a ~ .cursor {
    transform: scale(6);
} */

.languages {
  position: absolute;
  right: 95px;
  top: 85px;
  color: #fff;
  font-size: 11px;
}

.languages_style {
  color: #fff;
  font-weight: 600;
  /* font-size: 10px; */
  font-family: Helvetica, sans-serif;
  letter-spacing: 2px;
  vertical-align: middle;
}

.rotated {
  writing-mode: vertical-lr;
  transform: translateY(100%);
  border-left: 2px solid #fff;
  height: 100%;
  margin-left: 5%;
  padding-bottom: 50px;
}
.rotated-m1 {
  margin-left: 3%;
}
.rotated-m2 {
  margin-left: 7%;
}
.rotated-m3 {
  margin-left: 1%;
}

.menu-items-open {
  animation: animateMenuItems;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-delay: 100ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

.menu-items-open1 {
  animation: animateMenuItems;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-delay: 200ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

.menu-items-open2 {
  animation: animateMenuItems;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-delay: 300ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

.menu-items-open3 {
  animation: animateMenuItems;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-delay: 400ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

.menu-items-open4 {
  animation: animateMenuItems;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-delay: 500ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

/* .menu-items-closed{
    animation: animateMenuItems;
    animation-duration: 1s;
    animation-timing-function: ease-in-out;
    animation-delay: 0.5s;
    animation-iteration-count: 1;
    animation-fill-mode: backwards;
    animation-direction: reverse;
} */

/* The navigation links inside the overlay */
.overlay-content a {
  text-decoration: none;
  font-size: 20px;
  letter-spacing: 2px;
  color: #fff;
  transition: 0.3s;
  /* Transition effects on hover (color) */
}

/* When you mouse over the navigation links, change their color */
.overlay a:hover,
.overlay a:focus {
  color: #bebaa8;
}

/* navbar overlay */
.overlay {
  position: fixed;
  background: #1e1e1d;
  /* new bg color */
  background-color: #4c0410;
  top: 0;
  right: 0;
  width: 0%;
  height: 100%;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.35s, visibility 0.35s, width 0.35s;
  overflow: hidden;
  z-index: 3;
}

.overlay.open {
  opacity: 1;
  visibility: visible;
  width: 100%;
}

/* The @keyframes rule specifies the animation code , more info: https://www.w3schools.com/cssref/css3_pr_animation-keyframes.asp */
@keyframes animateMenuItems {
  0% {
    transform: translateY(100%);
  }

  100% {
    transform: translateY(0);
  }
}

/* ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ! */
/* ! !!!!!!!!!!!!!!!!!!!!!! MEDIA QUERIES !!!!!!!!!!!!!!!!!!!!!!!! ! */
/* ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ! */
/* 1500 px and below */
@media only screen and (max-width: 1500px) {
  .overlay-content a {
    font-size: 20px;
  }
}

/* 1200 px and below */
@media only screen and (max-width: 1200px) {
  .overlay-content a {
    font-size: 20px;
  }
}

/* 1024 px and below */
@media only screen and (max-width: 1024px) {
  .overlay-content {
    right: 200px;
  }

  .rotated {
    margin-left: 5%;
  }
}

/* max-height media queries */
@media only screen and (max-height: 800px) {
  .overlay-content a {
    font-size: 20px;
  }
}

@media only screen and (max-height: 750px) {
  .overlay-content a {
    font-size: 20px;
  }
}

@media only screen and (max-height: 600px) {
  .overlay-content {
    margin-right: 100px;
  }

  .overlay-content a {
    /* font-size: 30px; */
    font-size: 20px;
  }
}

@media only screen and (max-height: 500px) {
  .overlay-content a {
    /* font-size: 30px; */
    font-size: 15px;
  }
}

@media only screen and (max-height: 400px) {
  .overlay-content {
    margin-right: 50px;
  }

  .overlay-content a {
    font-size: 15px;
  }
}

@media only screen and (max-height: 300px) {
  .overlay-content a {
    font-size: 15px;
  }

  .overlay-content a {
    margin-left: 5%;
  }

  /* .languages_style {
    font-size: 11px;
  } */
}

/* ? !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ? */
/* ? !!!!!!!!!!!!!!!!!!!!!! MOBILE STYLING !!!!!!!!!!!!!!!!!!!!!!! ? */
/* ? !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ? */
.logo_93_mobile {
  position: absolute;
  right: 50px;
  top: 30px;
  z-index: 1000;
}

.logo_93_mobile img {
  height: 30px;
  margin-right: 5px;
}

/* .logo_93_mobile:hover {
  transition: 0.3s ease-in-out;
  fill: #bebaa8;
} */

.overlay_mobile {
  z-index: 1000;
}

.overlay_content_mobile {
  width: 100%;
  font-family: Helvetica, sans-serif;
  text-transform: uppercase;
  font-weight: 600;
  text-align: right;
  position: absolute;
  display: flex;
  flex-direction: column-reverse;
  left: 20px;
  top: 150px;
}

.overlay_content_mobile a {
  text-decoration: none;
  font-size: 20px;
  letter-spacing: 2px;
  color: #fff;
  transition: 0.3s;
  /* Transition effects on hover (color) */
}

.languages_mobile {
  position: absolute;
  right: 45px;
  top: 75px;
  color: #fff;
  font-size: 11px;
}

.languages_style_mobile {
  color: #fff;
  font-weight: 600;
  /* font-size: 10px; */
  font-family: Helvetica, sans-serif;
  letter-spacing: 2px;
  vertical-align: middle;
}

.overlay_items_border {
  border-bottom: 2px solid #fff;
  padding-right: 20%;
  margin-bottom: 2%;
  transform: translateX(100%);
}

/* overlay animations */
.menu-items-open5 {
  animation: animateMenuItems_mobile;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-delay: 100ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

.menu-items-open6 {
  animation: animateMenuItems_mobile;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-delay: 200ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

.menu-items-open7 {
  animation: animateMenuItems_mobile;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-delay: 300ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

.menu-items-open8 {
  animation: animateMenuItems_mobile;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-delay: 400ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

.menu-items-open9 {
  animation: animateMenuItems_mobile;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  animation-delay: 500ms;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes animateMenuItems_mobile {
  0% {
    transform: translateX(100%);
  }

  100% {
    transform: translateX(0);
  }
}

/* ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ! */
/* ! !!!!!!!!!!!!!!!!!! MOBILE MEDIA QUERIES !!!!!!!!!!!!!!!!!!!!! ! */
/* ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ! */

@media only screen and (max-width: 670px) {
  .overlay_items_border {
    padding-right: 25%;
  }

  /* .overlay_content_mobile a {
    font-size: 30px;
  } */

  .overlay_items_border {
    margin-bottom: 8%;
  }
}

@media only screen and (max-width: 600px) {
  /* .overlay_content_mobile a {
    font-size: 30px;
  } */
}

@media only screen and (max-width: 550px) {
  /* .overlay_content_mobile a {
    font-size: 30px;
  } */
}

@media only screen and (max-width: 500px) {
  .overlay_items_border {
    padding-right: 10%;
  }

  /* .overlay_content_mobile a {
    font-size: 25px;
  } */
}

@media only screen and (max-width: 375px) {
  /* .overlay_content_mobile a {
    font-size: 25px;
  } */
}

/* Media Queries for height */
@media only screen and (max-height: 600px) {
  /* .overlay_content_mobile a {
    font-size: 25px;
  } */

  .overlay_items_border {
    margin-bottom: 5%;
  }

  .languages_mobile {
    right: 8%;
  }

  /* .languages_style_mobile {
    font-size: 12px;
  } */
}

@media only screen and (max-height: 450px) {
  .languages_mobile {
    right: 5%;
  }

  .overlay_content_mobile {
    writing-mode: vertical-lr;
    display: flex;
    flex-direction: column;
    left: 15%;
    top: 20vh;
    bottom: 0;
  }

  .overlay_items_border {
    border: none;
    border-left: 2px solid #fff;
    padding-right: 15%;
    margin: 0;
    margin-left: 5%;
  }
}
